function [colm]=col_conv(mat) 					#converts into a column matrix
	m=rows(mat);				
	n=columns(mat);								#store the size
	rowm=zeros(m*n,1);	
	for i=1:m
		for j=1:n
			colm(n*(i-1)+j,1)=mat(i,j);			#the colm vector which is returned is storing the elements of the input in these loops
		endfor
	endfor
endfunction